__audit_mq_open
Prev | Chapter 15. Audit Interfaces | Next

## Name

__audit_mq_open — record audit data for a POSIX MQ open

## Synopsis

`int __audit_mq_open (` | int | oflag,
| mode_t | mode,
| struct mq_attr __user * | u_attr`)`;

## Arguments

`oflag`

  open flag

`mode`

  mode bits

`u_attr`

  queue attributes

## Description

Returns 0 for success or NULL context or < 0 on error.

Prev | Up | Next
audit_set_loginuid | Home | __audit_mq_timedsend